Bitcoin Block Reward per Block

Amount of bitcoin that is awarded to miners for successfully adding a new block to the blockchain

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/block-reward-per-block/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

Block Reward per Block BTC

Data used by the Bitcoin Block Reward per Block chart.

Endpoint
https://newhedge.io/api/v2/metrics/block-reward-per-block/block_reward_per_block?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    3.125
  ],
  [
    1779062400000,
    3.125
  ],
  [
    1779148800000,
    3.125
  ]
]
Metric

Block Reward per Block USD

Data used by the Bitcoin Block Reward per Block chart.

Endpoint
https://newhedge.io/api/v2/metrics/block-reward-per-block/block_reward_per_block_usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    241968.3125
  ],
  [
    1779062400000,
    240450.84375
  ],
  [
    1779148800000,
    239875.03125
  ]
]